<?php
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$cliente=$sessao->getVar('cliente');
$finalidade=$sessao->getVar('finalidade');
$nomeOperador=$sessao->getVar('nomeuser');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;


switch ($tela):
    case 'listar':
      echo"<h2>Define a identificação dos relatórios, segundo as Normas de Qualidade do Laboratório.</h2><br>";
      $tipoRelatorio="DEAS";
      funcaoTodas($tipoRelatorio);
    break;

default:
   echo '<p>A tela solicitada não existe.</p>';
break;
endswitch;


//esta funcao vai ser chamada para selecionar tipo e modelo

function funcaoTodas($tipoRelatorio)
{
$vetorTipos[1]="Informe";
$vetorTipos[2]="Ficha";
$vetorTipos[3]="Protocolo";
$vetorTipos[3]="Protocolo";
$vetorTipos[4]="Ficha_virtual";
$vetorTipos[5]="Tz_controle";
$vetorTipos[6]="Pre_condicionamento";
$vetorTipos[7]="Comprovante";
$vetorTipos[8]="Ficha_Recebimento";
$limiteTipo=sizeof($vetorTipos);



$matrizModelo[1][1]="Modelo_2015";
$matrizModelo[1][2]="Cruz_Alta";
$matrizModelo[1][3]="Forrageiras";
$matrizModelo[1][4]="Forrag(1amostra)";
$matrizModelo[1][5]="Conceito";
$matrizModelo[1][6]="Formato2015";
$matrizModelo[1][7]="DIMICRON";
$matrizModelo[1][8]="EspecialUFLA";

$matrizModelo[2][1]="Ricetec";
$matrizModelo[2][2]="Dimicron";
$matrizModelo[2][3]="ADV";
$matrizModelo[2][4]="completo";
$matrizModelo[2][5]="UFLA";
$matrizModelo[2][6]="JATAI";



$matrizModelo[3][1]="Padrao";
$matrizModelo[3][2]="Ricetec";

$matrizModelo[4][1]="Tabajara";
$matrizModelo[5][1]="Basico";
$matrizModelo[6][1]="Basico";
$matrizModelo[7][1]="Basico";
$matrizModelo[8][1]="Basico";

$limiteModelo=sizeof($matrizModelo);


	 //echo("esta dentro da funcao tipo=$tipoRelatorio<br>");
	 $sessao = new sessao();
	 $idLabo=$sessao->getVar('idLabo');
	 $cliente=$sessao->getVar('cliente');
	 $finalidade=$sessao->getVar('finalidade');
	 $anoCorrente=$sessao->getVar('anocorrente');
	 $anoAmostra=$anoCorrente;
     $objetocalculo=new calculos();
  	 $nomeTipo=post('nomeTipo');
     //echo("mesnumero=$mesNumero<br>");
	 $nomeModelo=post('nomeModelo');
	 $nomeAcao=post('nomeAcao');
     $tipo=post('tipo');
	 $emissao=post('emissao');

     $formulario=post('formulario');
     $emissao=post('emissao');
     $revisao=post('revisao');




	 if($tipo==10 ):
        echo("Preencha os campos FOR , EMISSAO E REVISAO, depois clique em salvar. <br>");
        //$nomeAcao='';
		$nomeTipoFinal=substr($nomeTipo,2);//descarta  codigo, para fins de salvar
	    $vetorNormas=$objetocalculo->capturaNormas($nomeTipoFinal,$nomeModelo,$idLabo);
		$formulario =$vetorNormas[1];
		$emissao =$vetorNormas[2];
		$revisao =$vetorNormas[3];
		$norID =$vetorNormas[4];
     endif;
     
     //echo("norID=$norID  $generica->extras_select  <br>");






     //aqui preenche a lista de modelos segundo a matriz bidimensional
		$tipoSele=post('nomeTipo');
        $indice=substr($tipoSele,0,1);
        $contador=0; 
        for($i=1;$i<=$limiteModelo;$i++):
           $contador++;
		   $lido=$matrizModelo[$indice][$i];
		   $resgateModelo[$contador]=$lido;
		endfor; 
 
 
 
 

//nivel de selecao de tipo
if($tipo==9):
    //echo $tipo;
    $nomeModelo="";
    $nomeAcao='';
endif;//teste se clicou no mes

//nivel de selecao de modelo
if($tipo==10):
    //echo $tipo;
    $nomeAcao='';
    for($i=1;$i<=3;$i++):
	   $resgateCategoria[1]='Salvar';
	   $resgateCategoria[2]='Recomeçar';
	endfor; 
	
endif;



//nivel de selecao de acao e ja vai para o slavamento
if($tipo==11 ):
    $norID=post('norID');//captura o indice id do registro
	$nomeTipoFinal=substr($nomeTipo,2);//descarta  codigo, para fins de salvar
     //echo $nomeTipoFinal.$nomeModelo.$formulario.$emissao.$revisao;
   if($nomeAcao=='Salvar'):
     $resgateModelo="";
	 //se norid=0 vai incluir   se norid>0 vai editar
     if($norID==0)://vai editar
	    $sql="insert into norma_qualidade(nor_labo,nor_tipo,nor_modelo,nor_formulario,nor_emissao,nor_revisao)";
		$sql.="values('$idLabo','$nomeTipoFinal','$nomeModelo','$formulario','$emissao','$revisao')";
        $userNota = new generica();
        $userNota->campos_valores = $sql;				 
        $userNota->inserirEspecial($userNota);
	    $idNota=$userNota->linhasafetadas;
    	printMSG('Ok. Salvou inclusão!','alerta');
     else:
	    $sql="update norma_qualidade set nor_formulario='$formulario',nor_emissao='$emissao',nor_revisao='$revisao' where nor_id=".$norID;
        $userNota = new generica();
        $userNota->campos_valores = $sql;				 
        $userNota->inserirEspecial($userNota);
	    $idNota=$userNota->linhasafetadas;
	    printMSG('Ok. Salvou edição!','alerta');
	 endif;	 
	 $nomeAcao='';

	 
	 
	 
	 
   endif;  






 
endif;


	 
	 
	?>

    <body background="Imagens/fundoazuldegradecentral1.jpg">
   <form id="formAmostra"  name="formAmostra" method="post" >
	
	
   <h2 align="center"><?php echo($cabecalho)?></h2>
   <form id="formAmostra"  name="formAmostra" method="post" >
   <input type = "hidden"  name="tipo"        size="5"   value="0" />
   <input type = "hidden"  name="firstName"   size="5"   value="INICIADO">
   <input type = "hidden"  name="norID"   size="5"   value="<?php echo($norID)?>">
   <input type = "hidden"  name="secondName"  size="5"   value="0">
   <input type = "hidden"  name="idUsuario"   value=<?php echo($idUsuario)?>>
   <input type = "hidden"  name="tipoRelatorio"   value=<?php echo($tipoRelatorio)?>>
   <input type = "hidden"  name="composto" size="50"  value=<?php echo($composto)?>>
   

  
   
   <table align= "center"  width="700" bgcolor="#909090" cellspacing=1 cellpadinng=0  border=1 >
   <tr>
   <td>
				Tipos:
					<select name="nomeComboTipo"  multiple  size="8" onchange="ClikButton(9)">  
                    <?php
					for($i=1;$i<=$limiteTipo;$i++):
					
					 echo "<option>".$i.')'.$vetorTipos[$i]."</option>";
                         					
				  
					endfor;
                    ?> 
				</select>
			 </td>		   

			 <td>Modelos:
					<select name="nomeComboModelo"  multiple size="8" onchange="ClikButton(10)">  
					<?php
					foreach($resgateModelo aS $vlr)
					{
					  if($vlr!="")
					  {
						  ?>
						  <option><?php echo $vlr?></option>
						  <?php
					  }
					}
					?>
				   
				</select>
				</td>		   

			 		<td>Ações:
					<select name="nomeComboCategoria"  multiple size="8" onchange="ClikButton(11)">  
					<?php
					foreach($resgateCategoria aS $vlr)
					{
					  if($vlr!="")
					  {
						  ?>
						  <option><?php echo $vlr?></option>
						  <?php
					  }
					}
					?>
				   
				</select>
			 </td>		   

			 
		 </tr> 
	 <tr>
	 <td><input type = "text"   name="nomeTipo"        value="<?php echo $nomeTipo; ?>"/>       </td>
	 <td><input type = "text"   name="nomeModelo"     value="<?php echo $nomeModelo; ?>"/>    </td>
	 <td><input type = "text"   name="nomeAcao"  value=<?php echo $nomeAcao; ?>> </td>
	 
	 
	 <td>Listar amostras <input type="checkbox"    name="listarAmo" /> </td>
	 
     </tr>
   </table>

  <table>
   <tr>
   <td>
	 FOR<input type="text" name="formulario" size="15" maxlength="20" value="<?php echo $formulario; ?>"/>  
	 Emissão<input type="text" name="emissao" size="15" maxlength="20" value="<?php echo $emissao; ?>"/>  
	 Revisão<input type="text" name="revisao" size="15" maxlength="20" value="<?php echo $revisao; ?>"/>  

   
   
   
   </td>
   
   
   </tr>
   
   
   </table>





</form>
     <!----------------------------AQUI MOSTRA A TABELA############################################-->
	 
	 


	
	<?php
	
	
}








?>
	
       <script>
       function  ClikButton(e)
       {
           document.formAmostra.tipo.value = e;
           //alert(document.formAmostra.tipo.value)
/////////////////////comando do combo da natureza//////////////////////////////
           if(e==9) //mes
           {
             document.formAmostra.nomeTipo.value=document.formAmostra.nomeComboTipo.options[document.formAmostra.nomeComboTipo.selectedIndex].text;
             document.formAmostra.submit();
           }
           if(e==10) //funcao
           {
             document.formAmostra.nomeModelo.value=document.formAmostra.nomeComboModelo.options[document.formAmostra.nomeComboModelo.selectedIndex].text;
             document.formAmostra.submit();
           }
           if(e==11) //categoria
           {
             document.formAmostra.nomeAcao.value=document.formAmostra.nomeComboCategoria.options[document.formAmostra.nomeComboCategoria.selectedIndex].text;
             document.formAmostra.submit();
           }
           if(e==12) //em branco
           {
             document.formAmostra.submit();
           }
		   
           if(e==13) //em branco
           {
             document.formAmostra.submit();
           }


		   

       }
	   

       </script>
	
	
	

	
	